/**
 * ParticipationInformationRecipient2.java
 *
 * File generated from the medication2::ParticipationInformationRecipient2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationInformationRecipient2.
 *
 * 
 */

@XmlType(name = "ParticipationInformationRecipient")
@XmlEnum
@XmlRootElement(name = "ParticipationInformationRecipient2")
public enum ParticipationInformationRecipient2 {
	@XmlEnumValue("IRCP")
	IRCP("IRCP"),
	@XmlEnumValue("NOT")
	NOT("NOT"),
	@XmlEnumValue("PRCP")
	PRCP("PRCP"),
	@XmlEnumValue("REFB")
	REFB("REFB"),
	@XmlEnumValue("REFT")
	REFT("REFT"),
	@XmlEnumValue("TRC")
	TRC("TRC");
	
	private final String value;

    ParticipationInformationRecipient2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ParticipationInformationRecipient2 fromValue(String v) {
        for (ParticipationInformationRecipient2 c: ParticipationInformationRecipient2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
